# $Revision: 1.14 $, $Date: 2006/03/27 12:41:36 $
%define		mod_name	vhost_mysql
%define 	apxs		/usr/sbin/apxs
Summary:	Apache vhost in MySQL
Summary(pl):	Wirtualne hosty dla Apache'a w bazie MySQL
Name:		apache-mod_%{mod_name}
Version:	0.10
Release:	5
License:	GPL
Group:		Networking/Daemons
Source0:	http://fabienne.tc2.utelisys.net/~skinkie/mod_vhost_mysql2/mod_%{mod_name}2-%{version}.tar.gz
# Source0-md5:	c47c8dc4ac41e9ed2c91a239c876d272
Source1:	apache_vhost_mysql.conf
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0
BuildRequires:	db-devel >= 4.2.52
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This module provides dynamically configured virtual hosting using
MySQL in Apache2.

%description -l pl
Ten modu umoliwia dynamicznie konfigurowanie hostw wirtualnych w
Apache'u 2 przy uyciu bazy MySQL.

%prep
%setup -q -n mod_%{mod_name}2-%{version}
rm -rf .libs *.{la,lo,o,slo}

%build
%{__make} \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/21_vhost_mysql.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%preun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README vh.sql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_vhost_mysql.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_vhost_mysql.spec,v $
Revision 1.14  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.13  2006/01/30 17:39:10  glen
- use %service

Revision 1.12  2005/12/27 01:13:49  glen
- unified

Revision 1.11  2005/12/22 00:03:29  glen
- rel 4 (rebuild with new apache)

Revision 1.10  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/10/27 17:36:58  arekm
- rel 3

Revision 1.8  2005/02/15 22:00:49  djrzulf
- rel 2, STBR for AC-READY,

Revision 1.7  2005/02/15 21:37:28  djrzulf
- fixed %install,

Revision 1.6  2005/01/17 08:24:16  djrzulf
- finished, rel 1,
- STBR for AC-READY,

Revision 1.5  2005/01/09 17:43:57  qboosh
- pl, some cleanups

Revision 1.4  2005/01/09 03:39:09  djrzulf
- almost finished, can go to AC-test now,

Revision 1.3  2005/01/09 03:20:23  djrzulf
- NFY - no .conf file, please wait :),
- Rel back to 0.1,

Revision 1.2  2005/01/09 02:23:23  djrzulf
- lost in space sql file, added,

Revision 1.1  2005/01/09 02:22:08  djrzulf
- Rel 1,
- STBR for AC-test,
